--- wine/windows/sysparams.c	2004-02-01 12:01:11.027912288 -0500
+++ wine-develop/windows/sysparams.c	2004-02-01 11:58:21.212728120 -0500
@@ -60,6 +60,7 @@
 #define SPI_SETKEYBOARDPREF_IDX                 18
 #define SPI_SETSCREENREADER_IDX                 19
 #define SPI_SETSCREENSAVERRUNNING_IDX           20
+#define SPI_SETGRADIENTCAPTIONS_IDX             21
 #define SPI_WINE_IDX                            SPI_SETSCREENSAVERRUNNING_IDX
 
 /**
@@ -115,6 +116,8 @@
 #define SPI_SETSHOWSOUNDS_VALNAME       "On"
 #define SPI_SETDESKWALLPAPER_REGKEY	"Control Panel\\Desktop"
 #define SPI_SETDESKWALLPAPER_VALNAME	"Wallpaper"
+#define SPI_SETUSERPREFERENCEMASK_REGKEY        "Control Panel\\Desktop"
+#define SPI_SETUSERPREFERENCEMASK_VALNAME       "UserPreferencemask"
 /* FIXME - real values */
 #define SPI_SETKEYBOARDPREF_REGKEY      "Control Panel\\Desktop"
 #define SPI_SETKEYBOARDPREF_VALNAME     "WINE_KeyboardPref"
@@ -148,6 +151,7 @@
 static BOOL keyboard_pref = TRUE;
 static BOOL screen_reader = FALSE;
 static BOOL screensaver_running = FALSE;
+static BOOL gradient_captions = FALSE;
 
 /***********************************************************************
  *		GetTimerResolution (USER.14)
@@ -1784,8 +1788,23 @@
 
     case SPI_GETGRADIENTCAPTIONS:    /* 0x1008  _WIN32_WINNT >= 0x500 || _WIN32_WINDOW > 0x400 */
         if (!pvParam) return FALSE;
-        FIXME("case SPI_GETGRADIENTCAPTIONS always return false\n");
-        *(BOOL *)pvParam = FALSE;
+
+        spi_idx = SPI_SETGRADIENTCAPTIONS_IDX;
+        if (!spi_loaded[spi_idx])
+        {
+            char buf[5];
+
+            if (SYSPARAMS_Load( SPI_SETUSERPREFERENCEMASK_REGKEY,
+                                SPI_SETUSERPREFERENCEMASK_VALNAME, buf, sizeof(buf) ))
+            spi_loaded[spi_idx] = TRUE;
+	    if (buf[0]&&0x10 == 0x10)
+            {
+                gradient_captions = TRUE;
+            }
+        }
+
+        *(BOOL *)pvParam = gradient_captions;
+
         break;
 
     WINE_SPI_FIXME(SPI_SETGRADIENTCAPTIONS);    /* 0x1009  _WIN32_WINNT >= 0x500 || _WIN32_WINDOW > 0x400 */
